"use strict";

module.exports.up = function(knex, Promise) {
	return knex.schema.createTable("signatories", (table) => {
		table.increments("id").notNullable();
		table.string("hostname").nullable();
		table.string("submitter").notNullable();
		table.string("admin").nullable();
		table.boolean("isVerified").notNullable();
		table.boolean("isManual").notNullable();
		table.timestamp("addedDate").notNullable();
	});
}

module.exports.down = function(knex, Promise) {
	return knex.schema.dropTable("signatories");
}
